apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/workloadUpdateMigration: ""
  creationTimestamp: "2024-08-05T15:26:59Z"
  generateName: kubevirt-workload-update-
  generation: 1
  labels:
    kubevirt.io/vmi-name: fedora-8
  name: kubevirt-workload-update-mqwvm
  namespace: default
  resourceVersion: "2572695"
  uid: 3d344927-6484-4e53-af9e-a4273c25ee7a
spec:
  vmiName: fedora-8
status:
  migrationState:
    completed: true
    endTimestamp: "2024-08-07T00:05:25Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 800
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 4cda42e4-46ec-40d3-a8bf-c6abedfc9160
    mode: PreCopy
    sourceNode: f04-h32-000-r640
    startTimestamp: "2024-08-07T00:05:21Z"
    targetDirectMigrationNodePorts:
      "33385": 49152
      "35551": 0
      "46779": 49153
    targetNode: e31-h06-000-r640
    targetNodeAddress: 10.131.0.31
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2024-08-07T00:05:24Z"
    targetPod: virt-launcher-fedora-8-rs9p8
  phase: Succeeded
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2024-08-05T15:26:59Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2024-08-05T15:27:09Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2024-08-05T15:27:12Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2024-08-05T15:27:12Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2024-08-05T15:27:12Z"
  - phase: Running
    phaseTransitionTimestamp: "2024-08-05T15:27:12Z"
  - phase: Succeeded
    phaseTransitionTimestamp: "2024-08-05T15:27:16Z"
